package de.opalpiraten.scenepainter.sys;
import javax.swing.*;
import java.util.*;  
import java.awt.*;
import java.io.*;
import java.beans.*;  
import java.awt.event.*;

/**
 * Inspects a directory and tells something about its contents.
 * This class is suppose to be used as an accessory for a JFileChooser, that
 * tries to find a nenya base directory
 */
public class Inspector extends JPanel implements PropertyChangeListener {
 
  
  private JTextArea info = new JTextArea();
  
  /**
   * Sole constructor
   */
  public Inspector () {
    //setBorder(BorderFactory.createTitledBorder(Dict.get("sys.inspector.title")));
    setPreferredSize(new Dimension(250,0));
    setLayout(new BorderLayout());
    add(new JScrollPane(info));
    info.setMargin(new Insets(3,3,3,3));
    info.setText(Dict.get("sys.inspector.nonenya"));
  }
  
  public void propertyChange(PropertyChangeEvent evt) {
    if(JFileChooser.SELECTED_FILE_CHANGED_PROPERTY.equals(evt.getPropertyName())) {
      File f = (File) evt.getNewValue();
      ConfiguredDescriptor cd = ConfiguredDescriptor.getDescriptor(f);
      if (cd!=null) {
        info.setText(Dict.get("sys.inspector.nenyasrc",cd.product));
      }
      else {
        info.setText(Dict.get("sys.inspector.nonenya"));
      }
    }
  }
}